## kdenlive 25.08.0

=== CMakeLists.txt ===
# SPDX-License-Identifier: BSD-2-Clause
# SPDX-FileCopyrightText: Julius Künzel <julius.kuenzel@kde.org>, Jean-Baptiste Mardelle <jb@kdenlive.org>, Alberto Villa <avilla@FreeBSD.org>, Albert Astals Cid <aacid@kde.org>, Vincent Pinon <vpinon@kde.org>, Laurent Montel <montel@kde.org>, Vincent Pinon <vincent.pinon@asygn.com>, Nicolas Carion <french.ebook.lover@gmail.com>

cmake_minimum_required(VERSION 3.16)

# An odd patch version number means development version, while an even one means
# stable release. An additional number can be used for bugfix-only releases.

# KDE Application Version, managed by release script
set (RELEASE_SERVICE_VERSION_MAJOR "25")
set (RELEASE_SERVICE_VERSION_MINOR "08")
set (RELEASE_SERVICE_VERSION_MICRO "0")

set(KDENLIVE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

project(Kdenlive VERSION ${KDENLIVE_VERSION})

include(FeatureSummary)
include(GenerateExportHeader)

# Register CMake options
option(RELEASE_BUILD "Remove Git revision from program version" ON) # To be switched on when releasing.
option(BUILD_TESTING "Build tests" ON)
option(CRASH_AUTO_TEST "Auto-generate testcases upon some crashes (uses RTTR library, needed for fuzzing)" OFF)
option(BUILD_FUZZING "Build fuzzing target" OFF)
option(BUILD_QCH "Build source code documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
add_feature_info(QCH ${BUILD_QCH} "Source code documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")
option(FETCH_OTIO "Use CMake FetchContent to download and build the OpenTimelineIO dependency" ON)

# shall we use DBus?
# enabled per default on Linux & BSD systems
set(USE_DBUS_DEFAULT OFF)
if(UNIX AND NOT APPLE AND NOT ANDROID AND NOT HAIKU)
    set(USE_DBUS_DEFAULT ON)
endif()
option(USE_DBUS "Build components using DBus" ${USE_DBUS_DEFAULT})

option(BUILD_DESIGNERPLUGIN "Build plugin for Qt Designer" OFF)

# Minimum versions of main dependencies.
set(MLT_MIN_MAJOR_VERSION 7)
set(MLT_MIN_MINOR_VERSION 28)
set(MLT_MIN_PATCH_VERSION 0)
set(MLT_MIN_VERSION ${MLT_MIN_MAJOR_VERSION}.${MLT_MIN_MINOR_VERSION}.${MLT_MIN_PATCH_VERSION})

# Qt version
set(QT_MIN_VERSION 6.5.0)
set(KF_DEP_VERSION "6.3.0")

find_package(ECM ${KF_DEP_VERSION} REQUIRED CONFIG)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${CMAKE_SOURCE_DIR}/cmake/modules)

if (NOT DEFINED QT_MAJOR_VERSION)
    set(QT_MAJOR_VERSION 6)
endif()

# The dependencies (currently only OpenTimelineIO) are located in a
# subdirectory so their CMake variables are not exposed to the main project.
#
# Note that this needs to come before the KDECompilerSettings. OTIO is not
# compatible with the KDE compiler flag "-fno-operator-names".
add_subdirectory(deps)

## include ECM Modules
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMInstallIcons)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(ECMOptionalAddSubdirectory)
include(ECMMarkNonGuiExecutable)
include(ECMAddAppIcon)
include(ECMQtDeclareLoggingCategory)
include(ECMEnableSanitizers)
include(ECMAddQch)
include(ECMDeprecationSettings)
include(ECMQmlModule)
remove_definitions(-DQT_NO_CAST_FROM_ASCII) # Defined in KDECompilerSettings, but we don't want that yet
# MLT uses variadic macros upstream and hence the build log gets spamed, so disable the warning
if(NOT MSVC)
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wno-variadic-macros")
endif()

# KDE Frameworks
if (NOT DEFINED KF_MAJOR)
  set(KF_MAJOR ${QT_MAJOR_VERSION})
endif()

add_definitions(-DTRANSLATION_DOMAIN=\"kdenlive\")
find_package(KF${KF_MAJOR} ${KF_DEP_VERSION}
    REQUIRED COMPONENTS
    I18n
    Archive
    Bookmarks
    Codecs
    CoreAddons
    Config
    ConfigWidgets
    KIO
    WidgetsAddons
    NotifyConfig
    NewStuff
    XmlGui
    Notifications
    GuiAddons
    TextWidgets
    IconThemes
    Solid
    FileMetaData
    Purpose

    OPTIONAL_COMPONENTS
    DocTools
    Crash
)

ecm_set_disabled_deprecation_versions(
    QT ${QT_MIN_VERSION}
    KF ${KF_DEP_VERSION}
)

# Qt targets
find_package(Qt${QT_MAJOR_VERSION}
    REQUIRED COMPONENTS
    Core Widgets
    Svg
    Quick
    QuickControls2
    Concurrent
    QuickWidgets
    Multimedia
    NetworkAuth
    SvgWidgets
    Xml
    # Test
)

if(USE_DBUS)
    find_package(KF${KF_MAJOR} ${KF_DEP_VERSION} REQUIRED COMPONENTS DBusAddons)
    find_package(Qt${QT_MAJOR_VERSION} REQUIRED COMPONENTS DBus)
endif()
add_definitions(-DQT_NO_CAST_TO_ASCII -DQT_NO_URL_CAST_FROM_STRING)
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${Qt${QT_MAJOR_VERSION}Widgets_EXECUTABLE_COMPILE_FLAGS}")

# MLT
find_package(MLT ${MLT_MIN_VERSION} REQUIRED)
set_package_properties(MLT PROPERTIES DESCRIPTION "Multimedia framework"
                URL "https://mltframework.org"
                PURPOSE "Required to do video processing")
message(STATUS "Found MLT++: ${MLTPP_LIBRARIES}")

# LibAV
find_package(PkgConfig REQUIRED)
pkg_check_modules(LIBAV REQUIRED IMPORTED_TARGET
    libavformat
    libavcodec
    libswresample
    libavutil
)

# OpenTimelineIO
if(FETCH_OTIO)
    include_directories(${otio_SOURCE_DIR}/src)
    # Enable exceptions for OTIO and dependencies.
    kde_target_enable_exceptions(opentime PUBLIC)
    kde_target_enable_exceptions(opentimelineio PUBLIC)
    kde_target_enable_exceptions(Imath PUBLIC)
else()
    find_package(OpenTimelineIO REQUIRED)
    # Work around for header oddity with OTIO and Imath
    find_package(Imath REQUIRED)
    get_target_property(IMATH_INCLUDE_DIRS Imath::Imath INTERFACE_INCLUDE_DIRECTORIES)
    include_directories("${IMATH_INCLUDE_DIRS}/Imath")
    set_package_properties(OpenTimelineIO PROPERTIES
        DESCRIPTION "API and interchange format for editorial timeline information"
        URL "http://opentimeline.io/"
        PURPOSE "Required for OpenTimelineIO import and export")
endif()

# Windows
include(CheckIncludeFiles)
check_include_files(malloc.h HAVE_MALLOC_H)
check_include_files(pthread.h HAVE_PTHREAD_H)
if(WIN32)
    find_package(DrMinGW)
    set(MLT_PREFIX "..")
else()
    set(MLT_PREFIX ${MLT_ROOT_DIR})
endif()

# macOS
if(APPLE)
    set(DATA_INSTALL_PREFIX "")
else()
    set(DATA_INSTALL_PREFIX "/kdenlive")
endif()

if(KF${KF_MAJOR}DocTools_FOUND)
    add_subdirectory(doc)
    kdoctools_install(po)
endif()

# Get current version.
set(KDENLIVE_VERSION_STRING "${KDENLIVE_VERSION}")
if(NOT RELEASE_BUILD AND EXISTS ${CMAKE_SOURCE_DIR}/.git)
  # Probably a Git workspace; determine the revision.
  find_package(Git QUIET)
  if(GIT_FOUND)
    exec_program(${GIT_EXECUTABLE} ${CMAKE_SOURCE_DIR}
	  ARGS "log -n 1 --pretty=format:\"%h\""
      OUTPUT_VARIABLE KDENLIVE_GIT_REVISION)
    message(STATUS "Kdenlive Git revision: ${KDENLIVE_GIT_REVISION}")
    set(KDENLIVE_VERSION_STRING "${KDENLIVE_VERSION} (rev. ${KDENLIVE_GIT_REVISION})")
  else()
    message(STATUS "Kdenlive Git revision could not be determined")
  endif()
endif()

if(CRASH_AUTO_TEST)
  if(BUILD_DESIGNERPLUGIN)
    message(SEND_ERROR "The options CRASH_AUTO_TEST and BUILD_DESIGNERPLUGIN do not work together, disable one of both.")
  endif()
  find_package(RTTR 0.9.6 QUIET)
  if(NOT RTTR_FOUND)
    message(STATUS "RTTR not found on system, will download source and build it")
    include(rttr.CMakeLists.txt)
  endif()
  if(BUILD_FUZZING)
    set(ECM_ENABLE_SANITIZERS fuzzer;address)
  endif()
endif()

set(FFMPEG_SUFFIX "" CACHE STRING "FFmpeg custom suffix")
configure_file(config-kdenlive.h.cmake config-kdenlive.h @ONLY)
set(CMAKE_POSITION_INDEPENDENT_CODE TRUE)

# Sources
add_subdirectory(src)
add_subdirectory(renderer)
add_subdirectory(thumbnailer)
add_subdirectory(data)

# Install
ki18n_install(po)

if (BUILD_QCH)
    ecm_install_qch_export(
        TARGETS Kdenlive_QCH
        FILE KdenliveQCHTargets.cmake
        DESTINATION "${CMAKE_INSTALL_PREFIX}/lib/cmake/kdenlive"
        COMPONENT Devel
    )
endif()

include(GNUInstallDirs)
install(FILES AUTHORS README.md DESTINATION ${CMAKE_INSTALL_DOCDIR})
install(DIRECTORY LICENSES DESTINATION ${CMAKE_INSTALL_DOCDIR})

ecm_qt_install_logging_categories(
    EXPORT KDENLIVE
    FILE kdenlive.categories
    DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
)

# Tests
if(BUILD_TESTING)
    add_subdirectory(tests)
endif()
if(BUILD_FUZZING AND ("${CMAKE_CXX_COMPILER_ID}" STREQUAL "Clang"))
    add_subdirectory(fuzzer)
elseif(BUILD_FUZZING)
    message(STATUS "Fuzzing build was requested but not enabled because compiler is ${CMAKE_CXX_COMPILER_ID} and not Clang")
endif()

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

# pre-commit hook
include(KDEGitCommitHooks)
kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

=== debian/changelog ===
kdenlive (4:25.08.0-0zneon+24.04+noble+release+build24) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Wed, 03 Sep 2025 22:35:23 +0000

kdenlive (4:25.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 14 Aug 2025 12:40:41 +0000

kdenlive (4:25.04.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 05 Jul 2025 11:24:53 +0000

kdenlive (4:25.04.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 05 Jun 2025 10:38:38 +0000

kdenlive (4:25.04.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 08 May 2025 04:30:12 +0000

kdenlive (4:25.04.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 17 Apr 2025 11:14:02 +0000

kdenlive (4:24.12.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 08 Mar 2025 13:40:13 +0000

kdenlive (4:24.12.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Feb 2025 14:47:51 +0000

kdenlive (4:24.12.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 09 Jan 2025 19:38:56 +0000

kdenlive (4:24.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Dec 2024 18:36:31 +0000

kdenlive (4:24.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Nov 2024 10:36:51 +0000

kdenlive (4:24.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 14 Oct 2024 21:08:33 +0000

kdenlive (4:24.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 22 Sep 2024 07:46:10 +0000

kdenlive (4:24.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 19 Jun 2024 10:01:57 +0000

kdenlive (4:24.05.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 Apr 2024 11:36:56 +0000

kdenlive (4:24.02.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 20 Mar 2024 17:05:46 +0000

kdenlive (4:24.02.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 24 Feb 2024 03:50:45 +0000

kdenlive (4:23.08.5-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 19 Feb 2024 14:46:46 +0000

kdenlive (4:23.08.4-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 06 Dec 2023 16:29:29 +0000

kdenlive (4:23.08.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 09 Nov 2023 15:58:46 +0000

kdenlive (4:23.08.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Oct 2023 17:06:23 +0000

kdenlive (4:23.08.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 14 Sep 2023 00:47:41 +0000

kdenlive (4:23.08.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 24 Aug 2023 09:35:19 +0000

kdenlive (4:23.04.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 06 Jun 2023 21:58:52 +0000

kdenlive (4:23.04.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 19 Apr 2023 15:32:18 +0000

kdenlive (4:22.12.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 02 Mar 2023 12:46:50 +0000

kdenlive (4:22.12.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 01 Feb 2023 17:11:20 +0000

kdenlive (4:22.12.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 05 Jan 2023 15:54:19 +0000

kdenlive (4:22.12.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 Dec 2022 12:00:51 +0000

kdenlive (4:22.08.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Nov 2022 09:21:11 +0000

kdenlive (4:22.08.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 14 Oct 2022 17:55:49 +0000

kdenlive (4:22.08.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 18 Aug 2022 09:20:02 +0000

kdenlive (4:22.04.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Jul 2022 12:06:49 +0000

kdenlive (4:22.04.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 07 Jun 2022 20:32:50 +0000

kdenlive (4:22.04.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 10 May 2022 13:28:09 +0000

kdenlive (4:22.04.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 18 Apr 2022 12:45:47 +0000

kdenlive (4:21.12.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Feb 2022 10:58:22 +0000

kdenlive (4:21.12.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Jan 2022 11:05:07 +0000

kdenlive (4:21.12.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 06 Dec 2021 23:07:27 +0000

kdenlive (4:21.08.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 06 Oct 2021 12:34:03 +0000

kdenlive (4:21.08.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 01 Sep 2021 09:30:25 +0000

kdenlive (4:21.08.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Aug 2021 10:40:53 +0000

kdenlive (4:21.04.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 12 Jul 2021 11:46:12 +0000

kdenlive (4:21.04.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 11 Jun 2021 08:19:10 +0000

kdenlive (4:21.04.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 13 May 2021 08:49:08 +0000

kdenlive (4:21.04.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 19 Apr 2021 10:18:01 +0000

kdenlive (4:20.12.3-0neon) focal; urgency=medium

  * New release



=== debian/rules ===
#!/usr/bin/make -f
# SPDX-License-Identifier: LGPL-2.0-or-later
# # SPDX-FileCopyrightText: 2023 Jonathan Riddell <jr@jriddell.org>

%:
	dh $@ --with kf6 --buildsystem kf6

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_WITH_QT6=ON -DBUILD_QCH=ON -DBUILD_DESIGNERPLUGIN=ON -DFETCH_OTIO=OFF

## kdenlive 25.08.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -9,7 +9,7 @@
 # KDE Application Version, managed by release script
 set (RELEASE_SERVICE_VERSION_MAJOR "25")
 set (RELEASE_SERVICE_VERSION_MINOR "08")
-set (RELEASE_SERVICE_VERSION_MICRO "0")
+set (RELEASE_SERVICE_VERSION_MICRO "1")
 
 set(KDENLIVE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

=== src/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2007 Kdenlive contributors
# SPDX-License-Identifier: GPL-3.0-only OR LicenseRef-KDE-Accepted-GPL


### Find packages files
find_package(LibV4L2)
set_package_properties(LibV4L2 PROPERTIES
    DESCRIPTION "video4linux support libraries"
    URL "https://linuxtv.org/downloads/v4l-utils/"
    TYPE RUNTIME
    PURPOSE "Required for better webcam support")

if(WIN32)
    set(MLT_MELTBIN "melt.exe")
    set(MLT_DATADIR "../share/mlt")
elseif(APPLE)
    set(MLT_MELTBIN "melt")
    set(MLT_DATADIR "../Resources/mlt")
else()
    find_package(PkgConfig QUIET)
    execute_process(
        COMMAND ${PKG_CONFIG_EXECUTABLE} --variable=mltdatadir mlt-framework-7
        OUTPUT_VARIABLE MLT_DATADIR
        RESULT_VARIABLE MLT_DATADIR_failed)
    if(NOT MLT_DATADIR_failed)
        string(REGEX REPLACE "[\r\n]" "" MLT_DATADIR "${MLT_DATADIR}")
    endif()

    execute_process(
        COMMAND ${PKG_CONFIG_EXECUTABLE} --variable=meltbin mlt-framework-7
        OUTPUT_VARIABLE MLT_MELTBIN
        RESULT_VARIABLE MLT_MELTBIN_failed)
    if(NOT MLT_MELTBIN_failed)
        string(REGEX REPLACE "[\r\n]" "" MLT_MELTBIN "${MLT_MELTBIN}")
    endif()
endif()
configure_file(mlt_config.h.in ${CMAKE_BINARY_DIR}/mlt_config.h)

check_include_files(linux/input.h HAVE_LINUX_INPUT_H)
if(HAVE_LINUX_INPUT_H)
    list(APPEND kdenlive_SRCS
        jogshuttle/jogmanager.cpp
        jogshuttle/jogaction.cpp
        jogshuttle/jogshuttle.cpp
        jogshuttle/jogshuttleconfig.cpp)
endif()

### Find source files
add_subdirectory(abstractmodel)
add_subdirectory(assets)
add_subdirectory(audiomixer)
add_subdirectory(bin)
add_subdirectory(capture)
add_subdirectory(dialogs)
add_subdirectory(doc)
add_subdirectory(effects)
add_subdirectory(jobs)
add_subdirectory(lib)
add_subdirectory(library)
add_subdirectory(mltcontroller)
add_subdirectory(monitor)
add_subdirectory(onlineresources)
add_subdirectory(otio)
add_subdirectory(profiles)
add_subdirectory(project)
add_subdirectory(pythoninterfaces)
add_subdirectory(render)
add_subdirectory(renderpresets)
add_subdirectory(scopes)
add_subdirectory(timeline2)
add_subdirectory(titler)
add_subdirectory(transitions)
add_subdirectory(utils)
add_subdirectory(widgets)
add_subdirectory(xml)
add_subdirectory(layouts)

## toplevel source code files
list(APPEND kdenlive_SRCS
    core.cpp
    definitions.cpp
    docktitlebarmanager.cpp
    mainwindow.cpp
    mltconnection.cpp
    statusbarmessagelabel.cpp
    undohelper.cpp
    glaxnimatelauncher.cpp
    filefilter.cpp
    powermanagementinterface.cpp
)

if(CRASH_AUTO_TEST)
    list(APPEND kdenlive_SRCS logger.cpp)
endif()

ecm_qt_declare_logging_category(kdenlive_SRCS
    HEADER kdenlive_debug.h
    IDENTIFIER KDENLIVE_LOG
    CATEGORY_NAME org.kde.kdenlive
    OLD_CATEGORY_NAMES org.kde.multimedia.kdenlive
    DESCRIPTION "Kdenlive"
    EXPORT KDENLIVE
)

if(USE_DBUS)
    qt_add_dbus_adaptor(kdenlive_SRCS org.kdenlive.MainWindow.xml mainwindow.h MainWindow)
endif()

## UI's
file(GLOB kdenlive_UIS "ui/*.ui")
ki18n_wrap_ui(kdenlive_UIS ${kdenlive_UIS})

add_library(kdenliveLib STATIC ${kdenlive_SRCS} ${kdenlive_UIS} definitions.h lib/localeHandling.cpp lib/localeHandling.h)

kconfig_target_kcfg_file(kdenliveLib
    FILE kdenlivesettings.kcfg
    CLASS_NAME KdenliveSettings
    MUTATORS
    SINGLETON

    GENERATE_PROPERTIES
    GENERATE_MOC

    QML_REGISTRATION

    # DEFAULT_VALUE_GETTERS
)
install(FILES kdenlivesettings.kcfg DESTINATION ${KDE_INSTALL_KCFGDIR})

ecm_add_qml_module(kdenliveLib
    URI org.kde.kdenlive
    GENERATE_PLUGIN_SOURCE
    DEPENDENCIES
      QtQuick
)

ecm_target_qml_sources(kdenliveLib
    SOURCES
    qml/ZoomBar.qml
    monitor/view/ProjectMonitor.qml
    monitor/view/Countdown.qml
    monitor/view/ClipMonitor.qml
    monitor/view/MonitorAutomask.qml
    monitor/view/MonitorCornerScene.qml
    monitor/view/MonitorGeometryScene.qml
    monitor/view/MonitorOverlay.qml
    monitor/view/MonitorRotoScene.qml
    monitor/view/MonitorSplit.qml
    monitor/view/MonitorSplitTracks.qml
    monitor/view/MonitorToolButton.qml
    monitor/view/MonitorTrimming.qml
    monitor/view/SceneToolBar.qml
    monitor/view/MultiScreenToolBar.qml
    monitor/view/EffectToolBar.qml
    monitor/view/MaskToolBar.qml
    monitor/view/MonitorRuler.qml
    monitor/view/OverlayStandard.qml
    monitor/view/OverlayMinimal.qml
    monitor/view/OverlayCenter.qml
    monitor/view/OverlayCenterDiagonal.qml
    monitor/view/OverlayThirds.qml
    monitor/view/OverlayLabel.qml
    monitor/view/ResizeHandle.qml
    monitor/view/ResizeLogic.js
    monitor/view/SnappingLogic.js
    monitor/view/RotationHandle.qml
    timeline2/view/qml/Timeline.qml
    timeline2/view/qml/TimelineLogic.js
    timeline2/view/qml/TrackHead.qml
    timeline2/view/qml/SubtitleTrackHead.qml
    timeline2/view/qml/AudioLevels.qml
    timeline2/view/qml/Track.qml
    timeline2/view/qml/Ruler.qml
    timeline2/view/qml/RulerZone.qml
    timeline2/view/qml/Clip.qml
    timeline2/view/qml/SubTitle.qml
    timeline2/view/qml/MixShape.qml
    timeline2/view/qml/ClipThumbs.qml
    timeline2/view/qml/ClipAudioThumbs.qml
    timeline2/view/qml/KeyframeView.qml
    timeline2/view/qml/Composition.qml
    timeline2/view/qml/PulsingAnimation.qml
    timeline2/view/qml/CornerSelectionShadow.qml
    assets/view/qml/AssetView.qml
    timeline2/view/qml/AssetMenu.qml
    timeline2/view/qml/GuidesMenu.qml
)

qt_add_resources(kdenlive_extra_SRCS icons.qrc uiresources.qrc)

## Icon for Windows and MacOS.
## The svg (or svgz) icon must be provided first to be used on MacOS
set(ICONS_FOLDER ${CMAKE_CURRENT_SOURCE_DIR}/../data/icons)
set(ICON_FILES
  ${ICONS_FOLDER}/sc-apps-kdenlive.svg
  ${ICONS_FOLDER}/16-apps-kdenlive.png
  ${ICONS_FOLDER}/22-apps-kdenlive.png
  ${ICONS_FOLDER}/32-apps-kdenlive.png
  ${ICONS_FOLDER}/48-apps-kdenlive.png
  ${ICONS_FOLDER}/64-apps-kdenlive.png
  ${ICONS_FOLDER}/128-apps-kdenlive.png
  ${ICONS_FOLDER}/256-apps-kdenlive.png
  ${ICONS_FOLDER}/512-apps-kdenlive.png
  ${ICONS_FOLDER}/1024-apps-kdenlive.png
)
ecm_add_app_icon(kdenlive ICONS ${ICON_FILES})

## Kdenlive Executable
add_executable(kdenlive main.cpp ${kdenlive_extra_SRCS} ${kdenlive})
target_include_directories(kdenlive
    PRIVATE ${CMAKE_BINARY_DIR}
    )
target_include_directories(kdenlive
	SYSTEM PRIVATE ${MLT_INCLUDE_DIR} ${MLTPP_INCLUDE_DIR})
target_link_libraries(kdenlive kdenliveLib kdenliveLibplugin)
install(TARGETS kdenlive DESTINATION ${KDE_INSTALL_BINDIR})

## Kdenlive Lib
target_include_directories(kdenliveLib PRIVATE
    ${CMAKE_BINARY_DIR}
    ${CMAKE_CURRENT_SOURCE_DIR}
    ${CMAKE_CURRENT_SOURCE_DIR}/lib/external
    ${CMAKE_CURRENT_SOURCE_DIR}/lib
    ${CMAKE_CURRENT_SOURCE_DIR}/utils
    ${CMAKE_CURRENT_SOURCE_DIR}/timeline2/view/qml
    )
target_include_directories(kdenliveLib
	SYSTEM  PRIVATE ${MLT_INCLUDE_DIR} ${MLTPP_INCLUDE_DIR})
# Adds Qt definitions and include directories, and sets QT_LIBRARIES according
# to the components requested in find_package().
# KDE definitions and include directories *must* always come first, Qt follows
# (to avoid breaking builds when KDE and/or Qt are installed to different
# prefixes).
target_link_libraries(kdenliveLib PUBLIC
    KF${KF_MAJOR}::I18n
    KF${KF_MAJOR}::WidgetsAddons
    KF${KF_MAJOR}::Archive
    KF${KF_MAJOR}::CoreAddons
    KF${KF_MAJOR}::KIOCore
    KF${KF_MAJOR}::Codecs
    KF${KF_MAJOR}::KIOFileWidgets
    KF${KF_MAJOR}::KIOWidgets
    KF${KF_MAJOR}::NewStuffWidgets
    KF${KF_MAJOR}::NotifyConfig
    KF${KF_MAJOR}::XmlGui
    KF${KF_MAJOR}::GuiAddons
    KF${KF_MAJOR}::Notifications
    KF${KF_MAJOR}::TextWidgets
    KF${KF_MAJOR}::IconThemes
    KF${KF_MAJOR}::Solid
    KF${KF_MAJOR}::FileMetaData
    KF${KF_MAJOR}::Purpose
    KF${KF_MAJOR}::PurposeWidgets
    ${OPENGL_LIBRARIES}
    ${OPENGLES_LIBRARIES}
    ${MLT_LIBRARIES}
    ${MLTPP_LIBRARIES}
    OTIO::opentimelineio
    ${CMAKE_DL_LIBS}
    ${CMAKE_THREAD_LIBS_INIT}
    kiss_fft
    )

if(KF6_VERSION VERSION_GREATER_EQUAL "6.8.0")
  target_link_libraries(kdenliveLib PUBLIC KF${KF_MAJOR}::I18nQml)
endif()

target_link_libraries(kdenliveLib PUBLIC
    Qt${QT_MAJOR_VERSION}::Svg
    Qt${QT_MAJOR_VERSION}::Quick
    Qt${QT_MAJOR_VERSION}::QuickControls2
    Qt${QT_MAJOR_VERSION}::QuickWidgets
    Qt${QT_MAJOR_VERSION}::Concurrent
    Qt${QT_MAJOR_VERSION}::Multimedia
    Qt${QT_MAJOR_VERSION}::NetworkAuth
    Qt${QT_MAJOR_VERSION}::SvgWidgets
    # Qt${QT_MAJOR_VERSION}::Test
)

target_link_libraries(kdenliveLib PUBLIC PkgConfig::LIBAV)

if(WIN32)
    target_link_libraries(kdenliveLib PUBLIC d3d11 d3dcompiler)
endif()

if(USE_DBUS)
  target_link_libraries(kdenliveLib PUBLIC KF${KF_MAJOR}::DBusAddons)
endif()
if(BUILD_COVERAGE)
  target_link_libraries(kdenliveLib PUBLIC gcov)
endif()
set_property(TARGET kdenliveLib PROPERTY CXX_STANDARD 14)
add_definitions(${qt${QT_MAJOR_VERSION}gui_definitions} -DQT_STRICT_ITERATORS -DQT_NO_CAST_FROM_BYTEARRAY)

# Optional deps
if(CRASH_AUTO_TEST)
    target_compile_definitions(kdenliveLib PRIVATE CRASH_AUTO_TEST)
    if(TARGET RTTR::Core)
        target_link_libraries(kdenliveLib RTTR::Core)
    else()
        target_link_libraries(kdenliveLib RTTR::Core_Lib)
    endif()
endif()

if(DRMINGW_FOUND)
    target_compile_definitions(kdenlive PRIVATE -DUSE_DRMINGW)
    target_include_directories(kdenlive SYSTEM PRIVATE ${DRMINGW_INCLUDE_DIR})
    target_link_libraries(kdenlive ${DRMINGW_LIBRARY})
elseif(KF${KF_MAJOR}Crash_FOUND)
    target_compile_definitions(kdenlive PRIVATE -DKF5_USE_CRASH)
    target_link_libraries(kdenlive KF${KF_MAJOR}::Crash)
endif()

if(Q_WS_X11)
	target_include_directories(kdenliveLib SYSTEM PRIVATE ${X11_Xlib_INCLUDE_PATH})
    target_link_libraries(kdenliveLib PUBLIC ${X11_LIBRARIES})
endif()

if(SDL2_FOUND)
    target_link_libraries(kdenliveLib PUBLIC ${SDL2_LIBRARY})
elseif(SDL_FOUND)
    target_link_libraries(kdenliveLib PUBLIC ${SDL_LIBRARY})
endif()

if(LIBV4L2_FOUND)
    target_include_directories(kdenliveLib SYSTEM PRIVATE ${LIBV4L2_INCLUDE_DIR})
    target_link_libraries(kdenliveLib PUBLIC ${LIBV4L2_LIBRARY})
    target_compile_definitions(kdenliveLib PRIVATE -DUSE_V4L)
endif()

if(HAVE_LINUX_INPUT_H)
    target_compile_definitions(kdenliveLib PRIVATE -DUSE_JOGSHUTTLE)
    target_link_libraries(kdenliveLib PUBLIC media_ctrl)
endif()

if(APPLE)
    set_target_properties(kdenlive PROPERTIES MACOSX_BUNDLE ON)
endif()


if(NOT USE_DBUS)
    target_compile_definitions(kdenliveLib PRIVATE -DNODBUS)
    target_compile_definitions(kdenlive PRIVATE -DNODBUS)
endif()

if (BUILD_QCH)
    ecm_add_qch(
        Kdenlive_QCH
        NAME kdenlive
        VERSION ${KDENLIVE_VERSION}
        ORG_DOMAIN org.kde
        SOURCE_DIRS
            .
        MD_MAINPAGE "${CMAKE_SOURCE_DIR}/README.md"
        TAGFILE_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        QCH_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        COMPONENT Devel
    )
endif()

# TODO: enable once a few more warning are fixed
# add_dependencies(kdenlive all_qmllint)

ecm_finalize_qml_module(kdenliveLib
    DESTINATION ${KDE_INSTALL_QMLDIR})

=== data/man/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-2-Clause
# SPDX-FileCopyrightText: Julius Künzel <julius.kuenzel@kde.org>

install(FILES kdenlive.1 kdenlive_render.1 DESTINATION ${KDE_INSTALL_MANDIR}/man1 )

=== src/dialogs/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-2-Clause
# SPDX-FileCopyrightText: Vincent PINON <vincent.pinon@laposte.net>, Jean-Baptiste Mardelle <jb@kdenlive.org>

set(kdenlive_SRCS
  ${kdenlive_SRCS}
  dialogs/clipcreationdialog.cpp
  dialogs/clipjobmanager.cpp
  dialogs/customcamcorderdialog.cpp
  dialogs/encodingprofilesdialog.cpp
  dialogs/importsubtitle.cpp
  dialogs/markerdialog.cpp
  dialogs/managesubtitles.cpp
  dialogs/exportguidesdialog.cpp
  dialogs/profilesdialog.cpp
  dialogs/proxytest.cpp
  dialogs/renderwidget.cpp
  dialogs/renderpresetdialog.cpp
  dialogs/speechdialog.cpp
  dialogs/subtitleedit.cpp
  dialogs/subtitlestyleedit.cpp
  dialogs/textbasededit.cpp
  dialogs/timeremap.cpp
  dialogs/titletemplatedialog.cpp
  dialogs/wizard.cpp
  dialogs/splash.cpp
  dialogs/settings/kdenlivesettingsdialog.cpp
  dialogs/settings/pluginssettings.cpp
  PARENT_SCOPE)

=== src/jobs/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-2-Clause
# SPDX-FileCopyrightText: Jean-Baptiste Mardelle <jb@kdenlive.org>

set(kdenlive_SRCS
  ${kdenlive_SRCS}
  jobs/abstracttask.cpp
  jobs/taskmanager.cpp
  jobs/audiolevels/audiolevelstask.cpp
  jobs/audiolevels/generators.cpp
  jobs/cliploadtask.cpp
  jobs/proxytask.cpp
  jobs/stabilizetask.cpp
  jobs/speedtask.cpp
  jobs/transcodetask.cpp
  jobs/filtertask.cpp
  jobs/masktask.cpp
  jobs/melttask.cpp
  jobs/cachetask.cpp
  jobs/scenesplittask.cpp
  jobs/cuttask.cpp
  jobs/customjobtask.cpp
  PARENT_SCOPE)

=== src/layouts/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-2-Clause
# SPDX-FileCopyrightText: 2025 Kdenlive contributors

set(kdenlive_SRCS
  ${kdenlive_SRCS}
    layouts/layoutmanagement.cpp
    layouts/layoutmanagerdialog.cpp
    layouts/layoutswitcher.cpp
    layouts/layoutcollection.cpp
  PARENT_SCOPE)

=== src/monitor/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-2-Clause
# SPDX-FileCopyrightText: Jean-Baptiste Mardelle <jb@kdenlive.org>, Vincent PINON <vincent.pinon@laposte.net>

add_subdirectory(scopes)

if (APPLE)
    list(APPEND kdenlive_SRCS
        monitor/videowidget.cpp
        monitor/metalvideowidget.mm
    )
elseif (WIN32)
    list(APPEND kdenlive_SRCS
        monitor/videowidget.cpp
        monitor/openglvideowidget.cpp
        monitor/d3dvideowidget.cpp
    )
else()
    list(APPEND kdenlive_SRCS
        monitor/videowidget.cpp
        monitor/openglvideowidget.cpp
    )
endif()

set(kdenlive_SRCS
    ${kdenlive_SRCS}
    monitor/abstractmonitor.cpp
    monitor/monitor.cpp
    monitor/monitormanager.cpp
    monitor/recmanager.cpp
    monitor/qmlmanager.cpp
    monitor/monitorproxy.cpp
    PARENT_SCOPE
)

=== src/pythoninterfaces/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-2-Clause
# SPDX-FileCopyrightText: Julius Künzel <julius.kuenzel@kde.org>

add_subdirectory(dialogs)
set(kdenlive_SRCS
  ${kdenlive_SRCS}
  pythoninterfaces/saminterface.cpp
  pythoninterfaces/speechtotext.cpp
  pythoninterfaces/speechtotextvosk.cpp
  pythoninterfaces/speechtotextwhisper.cpp
  pythoninterfaces/abstractpythoninterface.cpp
  PARENT_SCOPE
)

=== src/timeline2/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-2-Clause
# SPDX-FileCopyrightText: Nicolas Carion <french.ebook.lover@gmail.com>, Jean-Baptiste Mardelle <jb@kdenlive.org>

set(kdenlive_SRCS
  ${kdenlive_SRCS}
  timeline2/model/builders/meltBuilder.cpp
  timeline2/model/clipmodel.cpp
  timeline2/model/compositionmodel.cpp
  timeline2/model/groupsmodel.cpp
  timeline2/model/snapmodel.cpp
  timeline2/model/clipsnapmodel.cpp
  timeline2/model/timelinefunctions.cpp
  timeline2/model/timelineitemmodel.cpp
  timeline2/model/timelinemodel.cpp
  timeline2/model/trackmodel.cpp
  timeline2/view/dialogs/clipdurationdialog.cpp
  timeline2/view/dialogs/spacerdialog.cpp
  timeline2/view/dialogs/speeddialog.cpp
  timeline2/view/dialogs/trackdialog.cpp
  timeline2/view/previewmanager.cpp
  timeline2/view/qml/timelineplayhead.cpp
  timeline2/view/qml/timelinerecwaveform.cpp
  timeline2/view/qml/timelinetriangle.cpp
  timeline2/view/qml/timelinewaveform.cpp
  timeline2/view/qmltypes/thumbnailprovider.cpp
  timeline2/view/timelinecontroller.cpp
  timeline2/view/timelinetabs.cpp
  timeline2/view/timelinewidget.cpp
  PARENT_SCOPE)

=== src/audiomixer/audiolevels/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-2-Clause
# SPDX-FileCopyrightText: Jean-Baptiste Mardelle <jb@kdenlive.org>

set(kdenlive_SRCS
  ${kdenlive_SRCS}
  audiomixer/audiolevels/audiolevelwidget.cpp
  audiomixer/audiolevels/audiolevelconfig.cpp
  audiomixer/audiolevels/audiolevelstyleprovider.cpp
  audiomixer/audiolevels/audiolevelrenderer.cpp
PARENT_SCOPE)

=== src/project/dialogs/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-2-Clause
# SPDX-FileCopyrightText: Vincent PINON <vincent.pinon@laposte.net>, Jean-Baptiste Mardelle <jb@kdenlive.org>

set(kdenlive_SRCS
  ${kdenlive_SRCS}
  project/dialogs/archivewidget.cpp
  project/dialogs/backupwidget.cpp
  project/dialogs/noteswidget.cpp
  project/dialogs/projectsettings.cpp
  project/dialogs/slideshowclip.cpp
  project/dialogs/temporarydata.cpp
  project/dialogs/profilewidget.cpp
  project/dialogs/guidecategories.cpp
  project/dialogs/guideslist.cpp
  PARENT_SCOPE)

=== debian/changelog ===
kdenlive (4:25.08.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Sep 2025 06:53:11 +0100

kdenlive (4:25.08.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Aug 2025 11:23:16 +0100

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -Skf6 -- -DBUILD_TESTING=OFF -DFETCH_OTIO=OFF

override_dh_install:
	dh_install
	rm -rf $(CURDIR)/debian/kdenlive-data/usr/share/doc/Kdenlive/
	rm -rf $(CURDIR)/debian/kdenlive-data/usr/share/icons/breeze-dark

override_dh_auto_test:

## kdenlive 25.08.1+p24.04+vstable+git20251001.0652

=== debian/changelog ===
kdenlive (4:25.08.1+p24.04+vstable+git20251001.0652-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 01 Oct 2025 06:52:26 +0000

kdenlive (4:25.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 09 Sep 2025 09:07:55 +0000

## kdenlive 25.08.1+p24.04+vstable+git20251003.1054

=== debian/changelog ===
kdenlive (4:25.08.1+p24.04+vstable+git20251003.1054-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 03 Oct 2025 10:55:01 +0000

## kdenlive 25.08.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -9,7 +9,7 @@
 # KDE Application Version, managed by release script
 set (RELEASE_SERVICE_VERSION_MAJOR "25")
 set (RELEASE_SERVICE_VERSION_MINOR "08")
-set (RELEASE_SERVICE_VERSION_MICRO "1")
+set (RELEASE_SERVICE_VERSION_MICRO "2")
 
 set(KDENLIVE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

=== data/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-2-Clause
# SPDX-FileCopyrightText: Vincent PINON <vincent.pinon@laposte.net>, Jean-Baptiste Mardelle <jb@kdenlive.org>, Julius Künzel <julius.kuenzel@kde.org>

add_subdirectory(effects)
add_subdirectory(generators)
add_subdirectory(transitions)
add_subdirectory(icons)
add_subdirectory(knewstuff)
add_subdirectory(lumas)
add_subdirectory(scripts)
add_subdirectory(man)
add_subdirectory(titles)
add_subdirectory(profiles)
add_subdirectory(resourceproviders)
add_subdirectory(shortcuts)
add_subdirectory(luts)

if (APPLE)
# Apple app package
set_target_properties(kdenlive PROPERTIES MACOSX_BUNDLE_INFO_PLIST ${CMAKE_CURRENT_SOURCE_DIR}/Info.plist)
set_target_properties(kdenlive PROPERTIES
    MACOSX_BUNDLE_DISPLAY_NAME "Kdenlive"
    MACOSX_BUNDLE_BUNDLE_NAME "Kdenlive"
    MACOSX_BUNDLE_LONG_VERSION_STRING "Kdenlive ${RELEASE_SERVICE_VERSION}"
    MACOSX_BUNDLE_SHORT_VERSION_STRING "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}"
    MACOSX_BUNDLE_BUNDLE_VERSION "${RELEASE_SERVICE_VERSION}"
    MACOSX_BUNDLE_GUI_IDENTIFIER "org.kde.Kdenlive"
    MACOSX_BUNDLE_COPYRIGHT "2000-2022 The Kdenlive Authors")

endif()

install(FILES
  meta_magiclantern.png
  encodingprofiles.rc
  externalproxies.rc
  kdenliveeffectscategory.rc
  kdenlivetranscodingrc
  kdenlivedefaultlayouts.rc
  slideanimations.rc
  clipjobsettings.rc

  DESTINATION ${KDE_INSTALL_DATADIR}${DATA_INSTALL_PREFIX})

install(FILES kdenlive.notifyrc DESTINATION ${KDE_INSTALL_KNOTIFYRCDIR})

install(FILES profiles.xml DESTINATION ${KDE_INSTALL_DATADIR}${DATA_INSTALL_PREFIX}/export)
install(FILES org.kde.kdenlive.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})
install(FILES org.kde.kdenlive.desktop DESTINATION ${KDE_INSTALL_APPDIR})

find_package(SharedMimeInfo REQUIRED)
install(FILES org.kde.kdenlive.xml westley.xml DESTINATION ${KDE_INSTALL_MIMEDIR})
update_xdg_mimetypes(${KDE_INSTALL_MIMEDIR})

=== doc/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-2-Clause
# SPDX-FileCopyrightText: Julius Künzel <julius.kuenzel@kde.org>

kdoctools_create_handbook(index.docbook INSTALL_DESTINATION ${KDE_INSTALL_DOCBUNDLEDIR}/en SUBDIR kdenlive)

=== testingArea/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-2-Clause
# SPDX-FileCopyrightText: Simon A. Eugster <simon.eu@gmail.com>, Alberto Villa <avilla@FreeBSD.org>


message(STATUS "Building experimental executables")

include_directories(
  ${CMAKE_BINARY_DIR}
  ${MLT_INCLUDE_DIR}
  ${MLTPP_INCLUDE_DIR}
  ${PROJECT_SOURCE_DIR}/src/lib/extern/kiss_fft
  ${PROJECT_SOURCE_DIR}/src/lib/extern/kiss_fft/tools
)
include(${QT_USE_FILE})

add_executable(audioOffset
    audioOffset.cpp
    ../src/lib/audio/audioInfo.cpp
    ../src/lib/audio/audioStreamInfo.cpp
    ../src/lib/audio/audioEnvelope.cpp
    ../src/lib/audio/audioCorrelation.cpp
    ../src/lib/audio/audioCorrelationInfo.cpp
    ../src/lib/audio/fftCorrelation.cpp
)
target_link_libraries(audioOffset 
  ${QT_LIBRARIES}
  ${MLT_LIBRARIES}
  ${MLTPP_LIBRARIES}
  kiss_fft
)

=== data/effects/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-2-Clause
# SPDX-FileCopyrightText: Jean-Baptiste Mardelle <jb@kdenlive.org>, Julius Künzel <julius.kuenzel@kde.org>, Massimo Stella <maxstar@tin.it>

INSTALL (FILES 

audiobalance.xml
audiolevelgraph.xml
audiomap.xml
audiopan.xml
audiospectrum.xml
audiowave.xml
audiowaveform.xml
boxblur.xml
box_blur.xml
brightness.xml
burningtv.xml
channelcopy.xml
copychannelstostereo.xml
charcoal.xml
chroma_hold.xml
chroma.xml
crop.xml
dance.xml
dropshadow.xml
dust.xml
dynamic_loudness.xml
dynamictext.xml
fade_from_black.xml
fade_to_black.xml
fadein.xml
fadeout.xml
freeze.xml
gain.xml
gamma.xml
gpstext.xml
gpsgraphic.xml
gradientmap.xml
grain.xml
greyedge.xml
greyscale.xml
hsl_primaries.xml
hsl_range.xml
invert.xml
lift_gamma_gain.xml
lightshow.xml
loudness.xml
luma.xml
lumaliftgaingamma.xml
mask_start.xml
mask_start_frei0r_alphaspot.xml
mask_start_frei0r_select0r.xml
mask_start_rotoscoping.xml
mask_start_shape.xml
mask_apply.xml
mirror.xml
mono.xml
mute.xml
normalise.xml
obscure.xml
oldfilm.xml
pan_zoom.xml
pillar_echo.xml
qtblend.xml
qtcrop.xml
rboctaveshift.xml
rbpitchscale.xml
rotation_keyframable.xml
rotate-3-way.xml
rotation.xml
rotoscoping.xml
scratchlines.xml
sepia.xml
shape.xml
shear.xml
speed.xml
spot_remover.xml
strobe.xml
swapchannels.xml
timer.xml
tcolor.xml
threshold.xml
tracker.xml
typewriter.xml
vidstab.xml
vignette.xml
volume.xml
wave.xml

DESTINATION ${KDE_INSTALL_DATADIR}${DATA_INSTALL_PREFIX}/effects)

add_subdirectory(update)
add_subdirectory(avfilter)
add_subdirectory(frei0r)
add_subdirectory(ladspa)
add_subdirectory(movit)
add_subdirectory(sox)
add_subdirectory(templates)

=== data/icons/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-2-Clause
# SPDX-FileCopyrightText: Vincent Pinon <vpinon@kde.org>, Julius Künzel <julius.kuenzel@kde.org>, Jean-Baptiste Mardelle <jb@kdenlive.org>

ecm_install_icons(ICONS
  sc-apps-kdenlive.svg
  16-apps-kdenlive.png
  22-apps-kdenlive.png
  32-apps-kdenlive.png
  48-apps-kdenlive.png
  64-apps-kdenlive.png
  128-apps-kdenlive.png
  256-apps-kdenlive.png
  512-apps-kdenlive.png
  32-mimetypes-application-x-kdenlivetitle.png
  64-mimetypes-application-x-kdenlivetitle.png
  128-mimetypes-application-x-kdenlivetitle.png
  sc-mimetypes-application-x-kdenlivetitle.svgz
  sc-mimetypes-application-x-kdenlive.svgz
  sc-mimetypes-video-mlt-playlist.svgz
  DESTINATION ${KDE_INSTALL_ICONDIR})

=== data/knewstuff/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-2-Clause
# SPDX-FileCopyrightText: Julius Künzel <julius.kuenzel@kde.org>

install(FILES kdenlive_renderprofiles.knsrc kdenlive_wipes.knsrc kdenlive_keyboardschemes.knsrc kdenlive_titles.knsrc kdenlive_luts.knsrc kdenlive_effects.knsrc DESTINATION ${KDE_INSTALL_KNSRCDIR})

=== data/lumas/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-2-Clause
# SPDX-FileCopyrightText: Jean-Baptiste Mardelle <jb@kdenlive.org>

INSTALL(FILES 
PAL/bi-linear_x.pgm
PAL/bi-linear_y.pgm
PAL/burst.pgm
PAL/checkerboard_small.pgm
PAL/clock.pgm
PAL/cloud.pgm
PAL/curtain.pgm
PAL/horizontal_blinds.pgm
PAL/linear_x.pgm
PAL/linear_y.pgm
PAL/radial-bars.pgm
PAL/radial.pgm
PAL/spiral.pgm
PAL/spiral2.pgm
PAL/square.pgm
PAL/square2-bars.pgm
PAL/square2.pgm
PAL/symmetric_clock.pgm
DESTINATION ${KDE_INSTALL_DATADIR}${DATA_INSTALL_PREFIX}/lumas/PAL)

INSTALL(FILES 
HD/bi-linear_x.pgm
HD/bi-linear_y.pgm
HD/burst.pgm
HD/checkerboard_small.pgm
HD/clock.pgm
HD/cloud.pgm
HD/curtain.pgm
HD/horizontal_blinds.pgm
HD/linear_x.pgm
HD/linear_y.pgm
HD/radial-bars.pgm
HD/radial.pgm
HD/spiral.pgm
HD/spiral2.pgm
HD/square.pgm
HD/square2-bars.pgm
HD/square2.pgm
HD/symmetric_clock.pgm
DESTINATION ${KDE_INSTALL_DATADIR}${DATA_INSTALL_PREFIX}/lumas/HD)

=== data/profiles/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-2-Clause
# SPDX-FileCopyrightText: Jean-Baptiste Mardelle <jb@kdenlive.org>

INSTALL (FILES
dci_2160p_2398
dci_2160p_24
dci_2160p_25
dci_2160p_2997
dci_2160p_30
dci_2160p_50
dci_2160p_5994
dci_2160p_60
DESTINATION ${KDE_INSTALL_DATADIR}${DATA_INSTALL_PREFIX}/profiles)

=== data/resourceproviders/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-2-Clause
# SPDX-FileCopyrightText: Julius Künzel <julius.kuenzel@kde.org>

INSTALL (FILES

archiveorg.json
freesound.json
pexels_photo.json
pexels_video.json
pixabay_photo.json
pixabay_videos.json

DESTINATION ${KDE_INSTALL_DATADIR}${DATA_INSTALL_PREFIX}/resourceproviders)

=== data/scripts/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-2-Clause
# SPDX-FileCopyrightText: Jean-Baptiste Mardelle <jb@kdenlive.org>

add_subdirectory(automask)
add_subdirectory(vosk)
add_subdirectory(whisper)

INSTALL(FILES 
    checkpackages.py
    otiointerface.py
    checkgpu.py

DESTINATION ${KDE_INSTALL_DATADIR}${DATA_INSTALL_PREFIX}/scripts)

=== data/titles/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-2-Clause
# SPDX-FileCopyrightText: Marco Gittler <marco@gitma.de>

FILE(GLOB files "${CMAKE_CURRENT_SOURCE_DIR}/*.kdenlivetitle")
INSTALL (FILES ${files} DESTINATION ${KDE_INSTALL_DATADIR}${DATA_INSTALL_PREFIX}/titles)

=== debian/changelog ===
kdenlive (25.08.2-1) unstable; urgency=medium

  * New upstream release.
    - Remove merged patch 01-disable-autoupdate.
    - Add new build dependencies libimath-dev, libopentimelineio-dev,
      libavformat-dev, libavcodec-dev, libswresample-dev and libavutil-dev.

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 03 Nov 2025 22:53:37 +0100

=== debian/control ===
Source: kdenlive
Section: video
Priority: optional
Maintainer: Patrick Matthäi <pmatthaei@debian.org>
Homepage: https://kdenlive.org/
Standards-Version: 4.7.2
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
 appstream,
 cmake,
 extra-cmake-modules,
 ffmpeg,
 libavformat-dev,
 libavcodec-dev,
 libswresample-dev,
 libavutil-dev,
 libkf6archive-dev,
 libkf6bookmarks-dev,
 libkf6config-dev,
 libkf6configwidgets-dev,
 libkf6coreaddons-dev,
 libkf6crash-dev,
 libkf6dbusaddons-dev,
 libkf6declarative-dev,
 libkf6doctools-dev,
 libkf6filemetadata-dev,
 libkf6guiaddons-dev,
 libkf6iconthemes-dev,
 libkf6kio-dev,
 libkf6newstuff-dev,
 libkf6notifications-dev,
 libkf6notifyconfig-dev,
 libkf6plotting-dev,
 libkf6purpose-dev,
 libkf6textwidgets-dev,
 libkf6widgetsaddons-dev,
 libkf6xmlgui-dev,
 libimath-dev,
 libopentimelineio-dev,
 libmlt++-dev (>= 7.28),
 libmlt-dev (>= 7.28),
 libqt6networkauth6-dev,
 libqt6opengl6-dev,
 libqt6svg6-dev,
 libv4l-dev,
 pkgconf,
 pkg-kde-tools (>= 0.18.11),
 qt6-multimedia-dev

Package: kdenlive
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends},
 kdenlive-data (= ${source:Version}),
 breeze,
 breeze-icon-theme,
 ffmpeg,
 gstreamer1.0-plugins-bad,
 kded6,
 kio6,
 mediainfo,
 melt,
 qml6-module-org-kde-newstuff,
 qml6-module-qtquick-controls,
 qml6-module-qtquick-dialogs,
 qml6-module-qtquick-layouts,
 qml6-module-org-kde-desktop,
 qml6-module-org-kde-kcmutils,
 qml6-module-qtqml-models
Recommends: swh-plugins,
 oxygen-icon-theme,
 dvgrab,
 frei0r-plugins,
 recordmydesktop,
 dvdauthor,
 genisoimage
Suggests: khelpcenter,
 vlc | xine-ui
Description: non-linear video editor
 Kdenlive is a non-linear video editing suite, which supports DV, HDV and many
 more formats.
 Its main features are:
  * Guides and marker for organizing timelines
  * Copy and paste support for clips, effects and transitions
  * Real time changes
  * FireWire and Video4Linux capture
  * Screen grabbing
  * Exporting to any by FFMPEG supported format

Package: kdenlive-data
Architecture: all
Depends: ${misc:Depends}
Recommends: kdenlive
Description: non-linear video editor (data files)
 Kdenlive is a non-linear video editing suite, which supports DV, HDV and many
 more formats.
 Its main features are:
  * Guides and marker for organizing timelines
  * Copy and paste support for clips, effects and transitions
  * Real time changes
  * FireWire and Video4Linux capture
  * Screen grabbing
  * Exporting to any by FFMPEG supported format
 .
 This package contains the data files for kdenlive.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

EXTRAFLAGS := -DBUILD_TESTING=OFF -DFETCH_OTIO=OFF
ifeq ($(DEB_BUILD_ARCH_OS),kfreebsd)
	EXTRAFLAGS := -DNO_JOGSHUTTLE=YES
endif

%:
	dh $@ --with kf6

override_dh_auto_configure:
	dh_auto_configure -Skf6 -- $(EXTRAFLAGS)

override_dh_install:
	dh_install
	rm -rf $(CURDIR)/debian/kdenlive-data/usr/share/doc/Kdenlive/

override_dh_missing:
	dh_missing --list-missing

override_dh_auto_test:

## kdenlive 25.08.2+p24.04+vstable+git20251015.1727

=== debian/changelog ===
kdenlive (4:25.08.2+p24.04+vstable+git20251015.1727-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 17:27:30 +0000

kdenlive (4:25.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Oct 2025 03:51:00 +0000

## kdenlive 25.08.2+p24.04+vstable+git20251019.0612

=== debian/changelog ===
kdenlive (4:25.08.2+p24.04+vstable+git20251019.0612-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 19 Oct 2025 06:12:11 +0000

## kdenlive 25.08.2+p24.04+vstable+git20251026.0204

=== debian/changelog ===
kdenlive (4:25.08.2+p24.04+vstable+git20251026.0204-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 26 Oct 2025 02:05:03 +0000

## kdenlive 25.08.2+p24.04+vstable+git20251028.1023

=== debian/changelog ===
kdenlive (4:25.08.2+p24.04+vstable+git20251028.1023-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 28 Oct 2025 10:23:45 +0000
